For the complete documentation index, see llms.txt. This page is also available as Markdown.

Connector Setup

APIs to fetch setup details required for configuring cloud cost connectors.

Get AWS account connection details

get

Fetch AWS account connection details required for CCM connector setup, including external Id, Harness AWS account Id, CloudFormation template link, and stack launch template link.

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

is_govbooleanOptional

Set this true in case of Gov cloud

isOidcbooleanOptional

Set this true in case of Oidc

Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/connector/awsaccountconnectiondetail
GET /gateway/ccm/api/connector/awsaccountconnectiondetail?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-558fbc8b6-z9978
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Get Azure application client Id

get

Fetch the Azure application client Id used for CCM connector setup.

Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/connector/azureappclientid
GET /gateway/ccm/api/connector/azureappclientid HTTP/1.1
Host: nextgen-ce-558fbc8b6-z9978
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Provision and get GCP service account

get

Provision (if needed) and return the GCP service account email used for CCM connector setup.

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/connector/gcpserviceaccount
GET /gateway/ccm/api/connector/gcpserviceaccount?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-558fbc8b6-z9978
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Last updated

Was this helpful?